import { writable } from 'svelte/store';

function createPriority() {
    const { subscribe, set, update } = writable({
        surfers: [],
        end: false,
        start: false,
        min: 0,
        sec: 0,
    })
    return {
        subscribe,
        set,
        update,
        reset: () => set({ surfers: [], end: false, start: false, min: 0, sec: 0 }),
    }
}

export const priority = createPriority()